## pixelize 0.9.2

=== Makefile ===
# compile stuff in this dir

CC = gcc

CFLAGS = -g -I/usr/X11R6/include `imlib-config --cflags` `gtk-config --cflags` -Wall
DFLAGS = -L/usr/X11R6/lib `imlib-config --libs-gdk` `gtk-config --libs`  -Wall
LIBS = -lm

OBJS = main.o setup_menu.o callback_menu.o help.o options.o \
       display.o read_db.o globals.o read_line.o \
       file_dialog.o draw_image.o status.o \
       render.o render_image.o stats.o find_match.o \
       info_popup.o highlight.o cursor.o

all:	make_db pixelize

merge:	merge.o read_line.o stats.o
	$(CC) -o $@ merge.o read_line.o stats.o $(DFLAGS) $(LIBS)

make_db:	make_db.o
	$(CC) -o $@ make_db.o `imlib-config --libs` $(LIBS)

pixelize:	$(OBJS)
	$(CC) -o $@ $(OBJS) $(DFLAGS) $(LIBS)

.c.o:
	$(CC) -c -o $@ $(CFLAGS) $<

depend:
	$(CC) -MM $(CFLAGS) *.c > .depend

clean:
	rm -f *.o pixelize make_db core

include .depend

## pixelize 1.0.0

=== Makefile ===
# compile stuff in this dir

CC = gcc

CFLAGS = -g -I/usr/X11R6/include `pkg-config --cflags gtk+-2.0` -Wall
DFLAGS = -L/usr/X11R6/lib `pkg-config --libs gtk+-2.0`  -Wall
LIBS = -lm

OBJS = main.o setup_menu.o callback_menu.o help.o options.o \
       display.o read_db.o globals.o read_line.o \
       file_dialog.o draw_image.o status.o \
       render.o render_image.o stats.o find_match.o \
       info_popup.o highlight.o cursor.o

all:	make_db pixelize

merge:	merge.o read_line.o stats.o
	$(CC) -o $@ merge.o read_line.o stats.o $(DFLAGS) $(LIBS)

make_db:	make_db.o
	$(CC) -o $@ make_db.o $(DFLAGS) $(LIBS)

#	$(CC) -o $@ make_db.o `pkg-config --libs imlib2` $(LIBS)

pixelize:	$(OBJS)
	$(CC) -o $@ $(OBJS) $(DFLAGS) $(LIBS)

.c.o:
	$(CC) -c -o $@ $(CFLAGS) $<

depend:
	$(CC) -MM $(CFLAGS) *.c > depend

clean:
	rm -f *.o pixelize make_db core

include depend

## pixelize 2.0.0~git20220108.d1f9da9

=== Makefile ===
# compile stuff in this dir

CC = gcc
GLADE2C = ./tools/glade2c

CFLAGS += -Iinclude
CFLAGS += -I/usr/X11R6/include `pkg-config --cflags gtk+-3.0`
CFLAGS += -g -O2
CFLAGS += -fPIE
CFLAGS += -Wl,--export-dynamic
CFLAGS += -DGSEAL_ENABLE
CLFLAS += -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
CFLAGS += -DGTK_DISABLE_SINGLE_INCLUDES
CFLAGS += -DGDK_PIXBUF_DISABLE_DEPRECATED
CFLAGS += -DG_DISABLE_DEPRECATED
CFLAGS += -Wall -Wextra -Werror
CFLAGS += -fstack-protector-strong -Wformat -Werror=format-security
CFLAGS += -D_FORTIFY_SOURCE=2
DFLAGS = -L/usr/X11R6/lib
DFLAGS += `pkg-config --libs gtk+-3.0`
DFLAGS += `pkg-config --libs gmodule-2.0`
DFLAGS += -Wall -Wextra
DFLAGS += -fPIE
DFLAGS += -Wl,-z,relro "-Wl,--as-needed"
LIBS = -lm

SRC_FILES := $(wildcard src/*.c)
HDR_FILES := $(wildcard include/*.h)
OBJ_FILES := $(subst .c,.o,$(subst src/,obj/,$(SRC_FILES)))

DB_OBJS  = obj/make_db.o obj/read_db.o
PIX_OBJS = $(filter-out obj/make_db.o,$(OBJ_FILES))

all:	obj make_db pixelize

make_db:	$(DB_OBJS)
	$(CC) -o $@ $(DB_OBJS) $(DFLAGS) $(LIBS)

pixelize:	$(PIX_OBJS)
	$(CC) -o $@ $(PIX_OBJS) $(DFLAGS) $(LIBS)

obj/%.o:	depend
obj/%.o:	src/%.c
	$(CC) -c -o $@ $(CFLAGS) $<

depend:	Makefile $(HDR_FILES) $(SRC_FILES) include/pixelize_model.h
	$(CC) -MM $(CFLAGS) $(SRC_FILES) > depend

include/pixelize_model.h: glade/pixelize.glade
	$(GLADE2C) -i $< -o $@
	clang-format -i $@

clean:
	rm -rf $(OBJ_FILES) pixelize make_db core depend include/pixelize_model.h

obj:
	mkdir $@

include depend

=== debian/changelog ===
pixelize (2.0.0~git20220108.d1f9da9-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/copyright: update year info
  * add d/clean
  * add debian/pixelize.png for desktop icon
  * d/README.Debian: add info for how to produce debian/pixelize.png
  * d/install: add install debian/pixelize.png
  * add d/p/fix-Makefile-shuffle.patch, Closes: #1105684
  * add d/p/fix-pixelize.glade-UI-i18n.patch
  * d/pixelize.desktop:
      - add Keywords=graphic;grid;rendered;
      - add Name[zh_CN] Comment[zh_CN] Keywords[zh_CN] translate

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 16 May 2025 11:18:26 +0800

pixelize (2.0.0~git20220108.d1f9da9-1) unstable; urgency=medium

  * New upstream version by switching to fork at Github
    Closes: #948999, #967703
  * Move package to Debian Phototools team
  * Switch from cdbs to dh
  * debian/source/format: 3.0 (quilt)
  * Drop old menu format since desktop file is provided
  * DEP5
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 11:23:40 +0100

pixelize (1.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965778)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 18:05:03 +0200

pixelize (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer uses Imlib, just gdkpixbuf (Closes: #456132, #508234).
      Thanks to Barry deFreese <bdefreese@debian.org> for the help!
    + Doesn't crash for files without extension anymore. It'll only save
      a file if you provide a known-good extension ('jpeg', 'png', and so on).
      The 'jpg' extension will _not_ work unfortunately! (Closes: #381482).
  * debian/control:
    + Standards-Version: 3.8.0 (no changes required).
    + Build-depend on libgtk2.0-dev instead of libgtk1.2-dev from now on.
  * debian/patches:
    + 10_small_fixes.patch: Update.
    + 20_makefile_fixes.patch: Update.
  * debian/watch: Add file.
  * debian/copyright: Switch to machine-readable format.
  * Mention that the manpages written by me are GPL'd.
  * debian/rules: LDFLAGS += "-Wl,--as-needed" in order to minimize deps.

 -- Uwe Hermann <uwe@debian.org>  Tue, 24 Feb 2009 21:29:10 +0100

pixelize (0.9.2-4) unstable; urgency=low

  * Switch to cdbs and debhelper 5.
  * Standards-Version: 3.7.3 (no changes required).
  * debian/control: Add Homepage field.
  * debian/copyright: Updates, add Debian package license.
  * debian/menu: Move to 'Applications/Graphics' section (new menu policy).
  * debian/pixelize.1: Document that you have to create an image
    database (pic_db.dat) using make_db(1) first, before you can use
    pixelize. Better error message if no database is found (Closes: #381460).
  * debian/pixelize.xpm, debian/pixelize.desktop: Added icon and desktop
    file, taken from Ubuntu, thanks (Closes: #449249, #381529).
  * This package should not be removed from Debian (Closes: #456655).
  * debian/README.Debian: Small updates.

 -- Uwe Hermann <uwe@debian.org>  Fri, 21 Dec 2007 00:04:05 +0100

pixelize (0.9.2-3) unstable; urgency=low

  * Adjust Build-Depends and rebuild (Closes: #333040). Thanks
    Matej Vela <vela@debian.org> for the reminder!
  * Standards-Version: 3.6.2.0 (no changes).
  * Fixed debian/copyright (lintian).

 -- Uwe Hermann <uwe@debian.org>  Sun, 29 Jan 2006 03:08:56 +0100

pixelize (0.9.2-2) unstable; urgency=medium

  * Rebuilt using libtiff4, urgency=medium, see bugreport (Closes: #262834).
  * Build-Depends: gdk-imlib1-dev (instead of gdk-imlib-dev).
  * Standards-Version: 3.6.1.0 (no changes).

 -- Uwe Hermann <uwe@debian.org>  Mon,  2 Aug 2004 12:08:06 +0200

pixelize (0.9.2-1.1) unstable; urgency=low

  * NMU: the "I earn my food at debcamp/debconf3" release
  * imlib1-dev dependency modified (Closes: #199601)
  * char variable changed to int: powerpc was broken (Closes #201139).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 14 Jul 2003 02:14:24 +0000

pixelize (0.9.2-1) unstable; urgency=low

  * Initial Release (Closes: #140516).
  * debian/pixelize.1, debian/make_db.1: I wrote two manpages, as there were
    none upstream.
  * README: Updated, the file was quite outdated.
  * TODO: Fixed a typo.
  * Makefile: Added support for DEB_BUILD_OPTIONS.

 -- Uwe Hermann <uwe@debian.org>  Sat, 30 Mar 2002 01:55:54 +0100

=== debian/control ===
Source: pixelize
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Uwe Hermann <uwe@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgtk-3-dev,
               python3,
               clang-format
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pixelize
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pixelize.git
Homepage: https://github.com/jcdubois/pixelize/
Rules-Requires-Root: no

Package: pixelize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create an image consisting of many small images
 Pixelize is a program that will use many scaled down images to
 try to duplicate, as closely as possible, another image.
 .
 Pixelize works by splitting up the image you want rendered (or
 duplicated) into a grid of small rectangular areas. Each area
 is analyzed, and replaced with an image chosen from a large
 database of images. Pixelize tries to pick images that best
 match each area.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

=== debian/watch ===
version=4

opts="mode=git,pretty=2.0.0~git%cd.%h" \
    https://github.com/jcdubois/pixelize.git HEAD

# asked for tags in https://github.com/jcdubois/pixelize/issues/1
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/jcdubois/pixelize/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# http://lashwhip.com/pixelize/pixelize-(.*)\.tar\.gz
